package main

import (
	_ "github.com/lib/pq"
	"database/sql"
	"fmt"
	"time"
)

func main() {
	db, err := sql.Open("postgres", "host=/tmp sslmode=disable")
	if err != nil {
		panic(err)
	}

	db.SetMaxOpenConns(1)

	var v int

	fmt.Println("query #1")
	err = db.QueryRow("SELECT 1").Scan(&v)
	if err != nil {
		panic(err)
	}
	fmt.Println("value #1: ", v)

	fmt.Println("query #2")
	go func() {
		time.Sleep(2 * time.Second)
		panic(nil)
	}()
	err = db.QueryRow("SELECT 2").Scan(&v)
	if err != nil {
		panic(err)
	}
	fmt.Println("value #2: ", v)
}
